function [V1inputs, DLinputs,DL_mininputs, N_TimeSteps, N_Nodes,N_NodesFEF, N_Dim] = generate_inputs(SIMULATION,fixtopdown,anticiptopdown,distr_inh,V1D);

N_TimeSteps = 550;  
N_Nodes = 500;
N_Dim = 8;
% first N_Dim are halfway each axis, then comes fixation point, then antisaccade node
N_NodesFEF = N_Dim + 3;
FixNode = N_Dim + 1;
AntisacNode = N_Dim + 2;
SNrNode = N_Dim + 3;

fixbotup = 0.25;
%fixtopdown = 0.5;
SNrInhib=0.4;
if (anticiptopdown>SNrInhib), anticiptopdown=SNrInhib; end
t_topdown = 30;
%distr_inh = 0.5;
V1T = 1;

if strcmp(SIMULATION,'simplegap')
  % simplegap = only target presented, gap of 100
  V1inputs = zeros(N_TimeSteps, N_NodesFEF);
  DLinputs = zeros(N_TimeSteps, N_NodesFEF);
  DL_mininputs = zeros(N_TimeSteps, N_NodesFEF);
  
  V1inputs = exogeninput(V1inputs,  0, 120, FixNode, fixbotup);
  DLinputs = endogeninput(DLinputs, 0, 120, FixNode, fixtopdown);
  
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, SNrNode, -SNrInhib);
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, 1, anticiptopdown);
  DLinputs = endogeninput(DLinputs, 0, N_TimeSteps, 1, anticiptopdown);
  V1inputs = exogeninput(V1inputs,  200, N_TimeSteps, 1,  V1T);
end

if strcmp(SIMULATION,'simplegap200')
  % simplegap = only target presented, gap of 200
  V1inputs = zeros(N_TimeSteps, N_NodesFEF);
  DLinputs = zeros(N_TimeSteps, N_NodesFEF);
  DL_mininputs = zeros(N_TimeSteps, N_NodesFEF); 
  
  V1inputs = exogeninput(V1inputs,  0,   120, FixNode, fixbotup);
  DLinputs = endogeninput(DLinputs, 0,   120, FixNode, fixtopdown);
  
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, SNrNode, -SNrInhib);
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, 1, anticiptopdown);
  DLinputs = endogeninput(DLinputs, 0, N_TimeSteps, 1, anticiptopdown);
  V1inputs = exogeninput(V1inputs,  300, N_TimeSteps, 1,  V1T); 
end

if strcmp(SIMULATION,'simplenogap')
  % simplegap = only target presented, gap of 100
  V1inputs = zeros(N_TimeSteps, N_NodesFEF);
  DLinputs = zeros(N_TimeSteps, N_NodesFEF);
  DL_mininputs = zeros(N_TimeSteps, N_NodesFEF); 
  
  V1inputs = exogeninput(V1inputs,  0,   220, FixNode, fixbotup);
  DLinputs = endogeninput(DLinputs, 0,   220, FixNode, fixtopdown);
  
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, SNrNode, -SNrInhib);
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, 1, anticiptopdown);
  DLinputs = endogeninput(DLinputs, 0, N_TimeSteps, 1, anticiptopdown);
  V1inputs = exogeninput(V1inputs,  200, N_TimeSteps, 1,  V1T); 
end

if strcmp(SIMULATION,'warning')
  % simplegap = only target presented, gap of 100
  V1inputs = zeros(N_TimeSteps, N_NodesFEF);
  DLinputs = zeros(N_TimeSteps, N_NodesFEF);
  DL_mininputs = zeros(N_TimeSteps, N_NodesFEF);
  
  V1inputs = exogeninput(V1inputs,  0,   220, FixNode,  fixbotup);
  DLinputs = endogeninput(DLinputs, 0,   120, FixNode,  fixtopdown);
  
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, SNrNode, -SNrInhib);
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, 1, anticiptopdown);
  DLinputs = endogeninput(DLinputs, 0, N_TimeSteps, 1, anticiptopdown);
  V1inputs = exogeninput(V1inputs,  200, N_TimeSteps, 1,  V1T); 
end

if strcmp(SIMULATION,'stoppedsac')
  % simplegap = only target presented, gap of 100
  V1inputs = zeros(N_TimeSteps, N_NodesFEF);
  DLinputs = zeros(N_TimeSteps, N_NodesFEF);
  DL_mininputs = zeros(N_TimeSteps, N_NodesFEF); 
  
  V1inputs = exogeninput(V1inputs,  0,   220, FixNode, fixbotup);
  DLinputs = endogeninput(DLinputs, 0,   220, FixNode, fixtopdown);
  
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, SNrNode, -SNrInhib);
  DLinputs = endogeninput(DLinputs, 0, N_TimeSteps, 1, anticiptopdown);
  V1inputs = exogeninput(V1inputs,  200, N_TimeSteps, 1,  V1T); 
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if strcmp(SIMULATION,'antisaccade')
  % antiNOGAP = antisaccade, no gap
  V1inputs = zeros(N_TimeSteps, N_NodesFEF);
  DLinputs = zeros(N_TimeSteps, N_NodesFEF);
  DL_mininputs = zeros(N_TimeSteps, N_NodesFEF);
  
  V1inputs = exogeninput(V1inputs,  0,   220, FixNode, fixbotup);
  DLinputs = endogeninput(DLinputs, 0,   220, FixNode, fixtopdown);
  
  V1inputs = exogeninput(V1inputs,  200, N_TimeSteps, 1,  V1T);  
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, SNrNode, -SNrInhib);
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, AntisacNode, anticiptopdown);
  DLinputs = endogeninput(DLinputs, 0, N_TimeSteps, 1, anticiptopdown);

  % when stim comes, vis. transient (see above), inhib of stim-loc., support for
  % antiloc, and removal of SNr inhib. at anti-loc.
  DLinputs = endogeninput(DLinputs, 200+t_topdown, N_TimeSteps, AntisacNode, V1D);  
  DL_mininputs = endogeninput(DL_mininputs, 200+t_topdown, N_TimeSteps, AntisacNode,  max(0,SNrInhib-anticiptopdown));   
  DL_mininputs = endogeninput(DL_mininputs, 200+t_topdown, N_TimeSteps, 1,  -distr_inh);   
end
if strcmp(SIMULATION,'antigap')
  % antisaccade
  V1inputs = zeros(N_TimeSteps, N_NodesFEF);
  DLinputs = zeros(N_TimeSteps, N_NodesFEF);
  DL_mininputs = zeros(N_TimeSteps, N_NodesFEF);
  
  V1inputs = exogeninput(V1inputs,  0,   120, FixNode, fixbotup);
  DLinputs = endogeninput(DLinputs, 0,   120, FixNode, fixtopdown);
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, SNrNode, -SNrInhib);
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, AntisacNode, anticiptopdown);
  DLinputs = endogeninput(DLinputs, 0, N_TimeSteps, 1, anticiptopdown);
  
  V1inputs = exogeninput(V1inputs,  200, N_TimeSteps, 1,  V1T);  

  % when stim comes, vis. transient (see above), inhib of stim-loc., support for
  % antiloc, and removal of SNr inhib. at anti-loc.
  DLinputs = endogeninput(DLinputs, 200+t_topdown, N_TimeSteps, AntisacNode, V1D);  
  DL_mininputs = endogeninput(DL_mininputs, 200+t_topdown, N_TimeSteps, AntisacNode,  max(0,SNrInhib-anticiptopdown));   
  DL_mininputs = endogeninput(DL_mininputs, 200+t_topdown, N_TimeSteps, 1,  -distr_inh);   
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if strcmp(SIMULATION,'distractor2')
  % distractor2 = target presented on axis 1, distr on 2 (close)
  V1inputs = zeros(N_TimeSteps, N_NodesFEF);
  DLinputs = zeros(N_TimeSteps, N_NodesFEF);
  DL_mininputs = zeros(N_TimeSteps, N_NodesFEF);
  
  V1inputs = exogeninput(V1inputs,  0,   220, FixNode, fixbotup);
  DLinputs = endogeninput(DLinputs, 0,   220, FixNode, fixtopdown);

  V1inputs = exogeninput(V1inputs,  200, N_TimeSteps, 1, V1T); 
  V1inputs = exogeninput(V1inputs,  200, N_TimeSteps, 2, V1D);
  
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, SNrNode, -SNrInhib);
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, 1, anticiptopdown);
  DLinputs = endogeninput(DLinputs, 0, N_TimeSteps, 1, anticiptopdown);
  DL_mininputs = endogeninput(DL_mininputs, 200+t_topdown, N_TimeSteps, 2,  -distr_inh);   
end
if strcmp(SIMULATION,'distractor4')
  % distractor4 = targ presented on axis 1, distr on 4 (far)
  N_TimeSteps=600; % because these saccs tend to be late
  V1inputs = zeros(N_TimeSteps, N_NodesFEF);
  DLinputs = zeros(N_TimeSteps, N_NodesFEF);
  DL_mininputs = zeros(N_TimeSteps, N_NodesFEF);
  
  V1inputs = exogeninput(V1inputs,  0,   220, FixNode, fixbotup);
  DLinputs = endogeninput(DLinputs, 0,   220, FixNode, fixtopdown);

  V1inputs = exogeninput(V1inputs,  200, N_TimeSteps, 1, V1T);
  V1inputs = exogeninput(V1inputs,  200, N_TimeSteps, 4, V1D);

  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, SNrNode, -SNrInhib);
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, 1, anticiptopdown);
  DLinputs = endogeninput(DLinputs, 0, N_TimeSteps, 1, anticiptopdown);
  DL_mininputs = endogeninput(DL_mininputs, 200+t_topdown, N_TimeSteps, 4,  -distr_inh);   
end
if strcmp(SIMULATION,'distractor3')
  % distractor3 = targ presented on axis 1, distr on 3 (medium)
  V1inputs = zeros(N_TimeSteps, N_NodesFEF);
  DLinputs = zeros(N_TimeSteps, N_NodesFEF);
  DL_mininputs = zeros(N_TimeSteps, N_NodesFEF);
  
  V1inputs = exogeninput(V1inputs,  0,   220, FixNode, fixbotup);
  DLinputs = endogeninput(DLinputs, 0,   220, FixNode, fixtopdown);

  V1inputs = exogeninput(V1inputs,  200, 500, 1, V1T); 
  V1inputs = exogeninput(V1inputs,  200, 500, 3, V1D);  
  
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, SNrNode, -SNrInhib);
  DL_mininputs = endogeninput(DL_mininputs, 0, N_TimeSteps, 1, anticiptopdown);
  DLinputs = endogeninput(DLinputs, 0, N_TimeSteps, 1, anticiptopdown);
  DL_mininputs = endogeninput(DL_mininputs, 200+t_topdown, 500, 3,  -distr_inh);   
end


function [Inputs] = endogenBLOCKinput(Inputs,Tstart,Tend,Node,Strength)
% Adds endogenous stimulus from time Tstart to time Tend, centered at CenterNode.
for t=Tstart:Tend
    Inputs(t,Node)= Inputs(t,Node) + Strength;
end
TauEnd = .0025;  % .0025 reduces strength to 60% each 200 ms. 0.002=67% after 200, .003=55%
if ((Tend+1)<size(Inputs,1))
    for t=(Tend+1):size(Inputs,1)
        Tstim = t - Tend;
        Inputs(t,Node)= Inputs(t,Node) + Strength * exp(-Tstim*TauEnd);
    end
end

function [Inputs] = endogeninput(Inputs,Tstart,Tend,Node,Strength)
% Adds endogenous stimulus from time Tstart to time Tend, centered at CenterNode.
if (Tstart>0)
    endogrise=50;
    if (Tend>Tstart+endogrise)
        for t=Tstart:Tstart+endogrise
            Inputs(t,Node)= Inputs(t,Node) + Strength*(t-Tstart)/endogrise;
        end
        for t=Tstart+endogrise+1:Tend
            Inputs(t,Node)= Inputs(t,Node) + Strength;
        end
    end
else
    for t=1:Tend
        Inputs(t,Node)= Inputs(t,Node) + Strength;
    end
end
TauEnd = 1/150;  % In VisRes: was .0025 reduces strength to 60% each 200 ms. 0.002=67% after 200, .003=55%
if ((Tend+1)<size(Inputs,1))
    for t=(Tend+1):size(Inputs,1)
        Tstim = t - Tend;
        Inputs(t,Node)= Inputs(t,Node) + Strength * exp(-Tstim*TauEnd);
    end
end