function [] = run_batch_simulations;
clear all

numvar1 = 16;   % how many variants of first param will be tried?
numvar2=16;     % how many variants of scnd param will be tried?
numvar4=5;
gappars=0;      % boolean: must gap paradigms be run?
distrpars=1;    % boolean: must paradigms with distr. be run?
antipars=0;     % boolean: must antisac paradigms be run?

for v1 = 0:numvar1-1
    % use v1 to define fixdl
    if(v1==0), fixdlpfc=0; else fixdlpfc=0+v1*.05; end
    for v2 = 0:numvar2-1
        if(v2==0), anticipdlpfc=0; else anticipdlpfc=0+v2*.05; end
        if(gappars)   % run the gap paradigms; only 2 params used in these
            srts(v1*numvar2+v2+1,1)=fixdlpfc;
            srts(v1*numvar2+v2+1,2)=anticipdlpfc;
            SIMUL = 'simplenogap';
            [rt,sacc] = supcol(SIMUL,fixdlpfc,anticipdlpfc,0,0);
            srts(v1*numvar2+v2+1,3)=rt;
            SIMUL = 'simplegap';
            [rt,sacc] = supcol(SIMUL,fixdlpfc,anticipdlpfc,0,0);
            srts(v1*numvar2+v2+1,4)=rt;
            SIMUL = 'simplegap200';
            [rt,sacc] = supcol(SIMUL,fixdlpfc,anticipdlpfc,0,0);
            srts(v1*numvar2+v2+1,5)=rt;
            SIMUL = 'warning';
            [rt,sacc] = supcol(SIMUL,fixdlpfc,anticipdlpfc,0,0);
            srts(v1*numvar2+v2+1,6)=rt;
            save results\srts.txt srts -ASCII;
        end
        if(distrpars)   % run the distract paradigms; 4 params used
            for v3 = 0:10
                if(v3==0), distr_inh=0; else distr_inh=0+v3*.05; end
                for v4=0:numvar4-1
                    V1D=0.8+v4*.1;
                    SIMUL = 'distractor4';
                    [rt,sacc] = supcol(SIMUL,fixdlpfc,anticipdlpfc,distr_inh,V1D);
                    srtdistr4(v1+1,v2+1,v3+1,v4+1)=rt;
                    curvdistr4(v1+1,v2+1,v3+1,v4+1,1)=sacc(1,2)/sacc(1,1);
                    curvdistr4(v1+1,v2+1,v3+1,v4+1,2)=sacc(size(sacc,1),2)/sacc(size(sacc,1),1);
                    SIMUL = 'distractor2';
                    [rt,sacc] = supcol(SIMUL,fixdlpfc,anticipdlpfc,distr_inh,V1D);
                    srtdistr2(v1+1,v2+1,v3+1,v4+1)=rt;
                    curvdistr2(v1+1,v2+1,v3+1,v4+1,1)=sacc(1,2)/sacc(1,1);
                    curvdistr2(v1+1,v2+1,v3+1,v4+1,2)=sacc(size(sacc,1),2)/sacc(size(sacc,1),1);
                    actatsacconset(v1+1,v2+1,v3+1,v4+1,1)=sacc(1,1);
                    actatsacconset(v1+1,v2+1,v3+1,v4+1,2)=sacc(1,2);
                end
            end
            % results are stored in 5-dim matrices. These must be reshaped
            %    to save them in 2-dim ASCII files.
            flurp = reshape(srtdistr2,[],numvar4);
            save results\srtdistr2.txt flurp -ASCII;
            %flurp = reshape(srtdistr4,[],numvar4);
            %save results\srtdistr4.txt flurp -ASCII;
            flurp = reshape(curvdistr2(:,:,:,:,1),[],numvar4);
            save results\curvstartdistr2.txt flurp -ASCII;
            %flurp = reshape(curvdistr2(:,:,:,:,2),[],numvar4);
            %save results\curvenddistr2.txt flurp -ASCII;
            %flurp = reshape(curvdistr4(:,:,:,:,1),[],numvar4);
            %save results\curvstartdistr4.txt flurp -ASCII;
            %flurp = reshape(curvdistr4(:,:,:,:,2),[],numvar4);
            %save results\curvenddistr4.txt flurp -ASCII;
            flurp = reshape(actatsacconset(:,:,:,:,1),[],numvar4);
            save results\actdim1saconset.txt flurp -ASCII;
            flurp = reshape(actatsacconset(:,:,:,:,2),[],numvar4);
            save results\actdim2saconset.txt flurp -ASCII;
        end
        if(antipars)        % run the antisaccade paradigms. 4 params.
            for v3 = 0:15
                if(v3==0), distr_inh=0; else distr_inh=0+v3*.1; end
                for v4=0:numvar4-1
                    V1D=0.4+v4*.1;
                    SIMUL = 'antisaccade';
                    [rt,sacc] = supcol(SIMUL,fixdlpfc,anticipdlpfc,distr_inh,V1D);
                    srtanti(v1+1,v2+1,v3+1,v4+1,1)=rt;
                    srtanti(v1+1,v2+1,v3+1,v4+1,2)=sacc(1,1);
                    SIMUL = 'antigap';
                    [rt,sacc] = supcol(SIMUL,fixdlpfc,anticipdlpfc,distr_inh,V1D);
                    srtanti(v1+1,v2+1,v3+1,v4+1,3)=rt;
                    srtanti(v1+1,v2+1,v3+1,v4+1,4)=sacc(1,1);
                end
            end
            flurp = reshape(srtanti(:,:,:,:,1),[],numvar4);
            save results\srtanti.txt flurp -ASCII;
            flurp = reshape(srtanti(:,:,:,:,2),[],numvar4);
            save results\goalanti.txt flurp -ASCII;
            flurp = reshape(srtanti(:,:,:,:,3),[],numvar4);
            save results\srtantigap.txt flurp -ASCII;
            flurp = reshape(srtanti(:,:,:,:,4),[],numvar4);
            save results\goalantigap.txt flurp -ASCII;
        end
    end
end

% code for saccade saving (height gives indication for where code belongs)
%saccades=zeros(1,300,2);
                    %saccades(size(saccades,1)+1,296:300,1)=[V1D,distr_inh,anticipdlpfc,fixdlpfc,rt];
                    %saccades(size(saccades,1)+1,1:size(sacc,1),1:2)=sacc(:,1:2);
            %flurp = squeeze(saccades(:,:,1));
            %save results\sacc2hor.txt flurp -ASCII;
            %flurp = squeeze(saccades(:,:,2));
            %save results\sacc2ver.txt flurp -ASCII;
            
%code for saving act hill at moment of saccade (also change "supcol" if you want to use this)
% (height gives indication for where code belongs)
                    %actatsacconset(v1+1,v2+1,v3+1,v4+1,1)=sacc(1,1);
                    %actatsacconset(v1+1,v2+1,v3+1,v4+1,2)=sacc(1,2);
            %flurp = reshape(actatsacconset(:,:,:,:,1),[],numvar4);
            %save results\actdim1saconset.txt flurp -ASCII;
            %flurp = reshape(actatsacconset(:,:,:,:,2),[],numvar4);
            %save results\actdim2saconset.txt flurp -ASCII;