function []=simple_output(FEF,COL,V1Inputs,DLInputs);

N_Timesteps =size(COL.NodeOutp,1);
N_Nodes=size(COL.NodeOutp,2);
N_Dim=size(COL.NodeOutp,3);
thefig='fieldfig';

if strcmp(thefig,'simplefigs')    % simpele fig. van COLoutput
    figure(1)   % response fix,targpoint, antisacc
    plot(reshape(COL.NodeOutp(:,[125 250 375],[1 4]), N_Timesteps,6)); % for antisacc & close distr
    figure(2)   % FEF response
    plot(FEF.NodeOutp(:,:));
    figure(3)   % response targ. & distractor
%    plot(squeeze(COL.NodeOutp(:,125,:))); % for distr.
%    [X,Y]=meshgrid([1:1:N_Nodes],[1:1:N_Timesteps]);
%    surf(squeeze(COL.NodeOutp(:,:,1)),'LineStyle','none');  % 3D fig for 1 dim
%    plot(squeeze(COL.NodeOutp(:,125,:))); % for distr.
%    [X,Y]=meshgrid([1:1:N_Nodes],[1:1:N_Timesteps]);
    surf(squeeze(COL.NodeOutp(320,:,:)),'LineStyle','none');  % 3D fig for 1 dim
end

if strcmp(thefig,'fieldfig')    % fig. van SC-veld
    t=320
    % Select data that belongs to one SC
    for j=1:N_Dim
        for i=1:N_Nodes/2
            % Fill the fst 5 dims of thedata with lower parts of dims 1-5,
            % in opposite order. Also put nodes in opposite order
            % (250=center, from there on out)
            if(~N_Dim==8),flurp=flirp;end
            if(j<6),thedata(N_Nodes/2-i+1,6-j)=COL.NodeOutp(t,i,j); end
            % Fill dims 6-9 of thedata with upper parts of dims 1-5 in opposite order. 
            if(j>4),thedata(i,14-j)=COL.NodeOutp(t,N_Nodes/2+i,j); end
        end
    end
    for j=1:size(thedata,2)
        dimAngle=1-(j-1)/4;   %dim1=1, dim5=0, dim9=-1
        for i=1:N_Nodes/2
            relnode=abs(i-N_Nodes/2)/(N_Nodes/2);   % dist. on axis to fix, scaled to 0-1
            distFix=sqrt( (1-cos(relnode))^2 + sin(relnode)^2 ); % straight dist. to fix
            angleFix=dimAngle * asin( sin(relnode) / distFix ); % angle on outer rim = fun of distance to fix
            X(i,j)=4.2 * cos(angleFix)*distFix; % 4.2 to make the scale mm. of SC
            Y(i,j)=2.5 * sin(angleFix)*distFix; % 2.5 to make the scale mm. of SC
        end
    end
    surf(X,Y,thedata,'LineStyle','none');  % 3D fig for 1 dim
end